Subject: Re: [6lo] [Roll] RFC 8138 on IPv6 over Low-Power Wireless Personal Area Network (6LoWPAN) Routing Header

From: Carsten Bormann <[email-masked]>
Date: Wed, 12 Apr 2017 06:18:21 +0200

Thank you. Pascal, for seeing this through — this gives us a much better way to encapsulate RPL-routed traffic (and in particular the source routing in Non-Storing Mode) in all kinds of 6Lo-style networks.

Now let’s get the information out on implementation efforts.

Grüße, Carsten

> On Apr 12, 2017, at 01:12, [email-masked] wrote:
> 
> A new Request for Comments is now available in online RFC libraries.
> 
> 
>        RFC 8138
> 
>        Title:      IPv6 over Low-Power Wireless Personal 
>                    Area Network (6LoWPAN) Routing Header 
>        Author:     P. Thubert, Ed.,
>                    C. Bormann, 
>                    L. Toutain,
>                    R. Cragie
>        Status:     Standards Track
>        Stream:     IETF
>        Date:       April 2017
>        Mailbox:    [email-masked], 
>                    [email-masked], 
>                    [email-masked],  
>                    [email-masked]
>        Pages:      37
>        Characters: 81825
>        Updates/Obsoletes/SeeAlso:   None
> 
>        I-D Tag:    draft-ietf-roll-routing-dispatch-05.txt
> 
>        URL:        https://www.rfc-editor.org/info/rfc8138
> 
>        DOI:        10.17487/RFC8138
> 
> This specification introduces a new IPv6 over Low-Power Wireless
> Personal Area Network (6LoWPAN) dispatch type for use in 6LoWPAN
> route-over topologies, which initially covers the needs of Routing
> Protocol for Low-Power and Lossy Networks (RPL) data packet
> compression (RFC 6550).  Using this dispatch type, this specification
> defines a method to compress the RPL Option (RFC 6553) information
> and Routing Header type 3 (RFC 6554), an efficient IP-in-IP
> technique, and is extensible for more applications.
> 
> This document is a product of the Routing Over Low power and Lossy networks Working Group of the IETF.
> 
> This is now a Proposed Standard.
> 
> STANDARDS TRACK: This document specifies an Internet Standards Track
> protocol for the Internet community, and requests discussion and suggestions
> for improvements.  Please refer to the current edition of the Official
> Internet Protocol Standards (https://www.rfc-editor.org/standards) for the 
> standardization state and status of this protocol.  Distribution of this 
> memo is unlimited.
> 
> This announcement is sent to the IETF-Announce and rfc-dist lists.
> To subscribe or unsubscribe, see
>  https://www.ietf.org/mailman/listinfo/ietf-announce
>  https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
> 
> For searching the RFC series, see https://www.rfc-editor.org/search
> For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk
> 
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].  Unless
> specifically noted otherwise on the RFC itself, all RFCs are for
> unlimited distribution.
> 
> 
> The RFC Editor Team
> Association Management Solutions, LLC
> 
> 
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>

---

From: Ines Robles <[email-masked]>
Date: Wed, 12 Apr 2017 12:05:59 -0300

+1

and many thanks to all authors for your work on this!

Cheers,

Ines.

2017-04-12 1:18 GMT-03:00 Carsten Bormann <[email-masked]>:

> Thank you. Pascal, for seeing this through — this gives us a much better
> way to encapsulate RPL-routed traffic (and in particular the source routing
> in Non-Storing Mode) in all kinds of 6Lo-style networks.
>